Interface InternetAccessTerms
- All Known Implementing Classes:
InternetAccessTermsImpl
public interface InternetAccessTerms
Client interface for the Equinix Internet Access (EIA) v1 terms-and-conditions lookup
(
GET /internetAccess/v1/terms) - the terms and conditions applicable to an account at a
given IBX for a given product.-
Method Summary
Modifier and TypeMethodDescriptionlist(String accountNumber, String ibx, TermsProduct product) Returns the terms and conditions applicable to the given account, IBX and product.Returns the terms and conditions applicable to the given account, IBX and product, optionally narrowed by terms category and language.
-
Method Details
-
list
Returns the terms and conditions applicable to the given account, IBX and product.- Parameters:
accountNumber- the Equinix account numberibx- the IBX data center code (e.g.WA1)product- the Equinix product (IA_C,IA_VCorMC_C)- Returns:
- a paginated list of matching terms and conditions
-
list
PaginatedList<TermsAndConditions> list(String accountNumber, String ibx, TermsProduct product, TermsType type, String language) Returns the terms and conditions applicable to the given account, IBX and product, optionally narrowed by terms category and language.- Parameters:
accountNumber- the Equinix account numberibx- the IBX data center code (e.g.WA1)product- the Equinix product (IA_C,IA_VCorMC_C)type- the terms category (TERMS_AND_CONDITIONS,RENEWAL_TERMSorPRICE_INCREASE_TERMS), ornullfor all categorieslanguage- the language to return the terms in, ornullfor the default- Returns:
- a paginated list of matching terms and conditions
-